# Get message GET https://hublinks.io/rest/accounts/{account_id}/inbox/linkedin/seats/{seat_id}/messages/{message_id} Get Linkedin message by ID. Reference: https://api.hublinks.io/api-reference/inbox/linkedin/messages/get-message ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /rest/accounts/{account_id}/inbox/linkedin/seats/{seat_id}/messages/{message_id}: get: operationId: get-message summary: Get message description: Get Linkedin message by ID. tags: - >- subpackage_inbox.subpackage_inbox/linkedin.subpackage_inbox/linkedin/messages parameters: - name: account_id in: path required: true schema: type: string - name: seat_id in: path required: true schema: type: string - name: message_id in: path required: true schema: type: string - name: X-API-KEY in: header required: true schema: type: string responses: '200': description: Response with status 200 content: application/json: schema: $ref: >- #/components/schemas/Inbox_Linkedin_Messages_Get message_Response_200 '400': description: Bad Request content: application/json: schema: $ref: >- #/components/schemas/GetRestAccountsAccount_cd855c2bb1cc72097238InboxLinkedinSeatsSeat_test_123MessagesMsg_abc123RequestBadRequestError '401': description: Unauthorized content: application/json: schema: $ref: >- #/components/schemas/GetRestAccountsAccount_cd855c2bb1cc72097238InboxLinkedinSeatsSeat_test_123MessagesMsg_abc123RequestUnauthorizedError servers: - url: https://hublinks.io components: schemas: RestAccountsAccountIdInboxLinkedinSeatsSeatIdMessagesMessageIdGetResponsesContentApplicationJsonSchemaMessage: type: object properties: body: type: string type: type: string seat_id: type: string ln_inbox: type: string direction: type: string last_name: type: string ln_degree: type: integer member_id: type: string thread_id: type: string account_id: type: string created_at: type: integer first_name: type: string message_id: type: string updated_at: type: integer delivered_at: type: integer required: - body - type - seat_id - ln_inbox - direction - last_name - ln_degree - member_id - thread_id - account_id - created_at - first_name - message_id - updated_at - delivered_at title: >- RestAccountsAccountIdInboxLinkedinSeatsSeatIdMessagesMessageIdGetResponsesContentApplicationJsonSchemaMessage Inbox_Linkedin_Messages_Get message_Response_200: type: object properties: success: type: boolean message: $ref: >- #/components/schemas/RestAccountsAccountIdInboxLinkedinSeatsSeatIdMessagesMessageIdGetResponsesContentApplicationJsonSchemaMessage required: - success - message title: Inbox_Linkedin_Messages_Get message_Response_200 GetRestAccountsAccount_cd855c2bb1cc72097238InboxLinkedinSeatsSeat_test_123MessagesMsg_abc123RequestBadRequestError: type: object properties: error: type: string message: type: string required: - error - message title: >- GetRestAccountsAccount_cd855c2bb1cc72097238InboxLinkedinSeatsSeat_test_123MessagesMsg_abc123RequestBadRequestError GetRestAccountsAccount_cd855c2bb1cc72097238InboxLinkedinSeatsSeat_test_123MessagesMsg_abc123RequestUnauthorizedError: type: object properties: error: type: string message: type: string required: - error - message title: >- GetRestAccountsAccount_cd855c2bb1cc72097238InboxLinkedinSeatsSeat_test_123MessagesMsg_abc123RequestUnauthorizedError securitySchemes: apiKeyAuth: type: apiKey in: header name: X-API-KEY ``` ## SDK Code Examples ```python Inbox_Linkedin_Messages_Get message_example import requests url = "https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/messages/message_id" headers = {"X-API-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Inbox_Linkedin_Messages_Get message_example const url = 'https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/messages/message_id'; const options = {method: 'GET', headers: {'X-API-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Inbox_Linkedin_Messages_Get message_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/messages/message_id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Inbox_Linkedin_Messages_Get message_example require 'uri' require 'net/http' url = URI("https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/messages/message_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-API-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java Inbox_Linkedin_Messages_Get message_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/messages/message_id") .header("X-API-KEY", "") .asString(); ``` ```php Inbox_Linkedin_Messages_Get message_example request('GET', 'https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/messages/message_id', [ 'headers' => [ 'X-API-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp Inbox_Linkedin_Messages_Get message_example using RestSharp; var client = new RestClient("https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/messages/message_id"); var request = new RestRequest(Method.GET); request.AddHeader("X-API-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift Inbox_Linkedin_Messages_Get message_example import Foundation let headers = ["X-API-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://hublinks.io/rest/accounts/account_id/inbox/linkedin/seats/seat_id/messages/message_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```